Skip to main content

Version: 24.04

GET Organizations

Return a list of organization codes. For global users, the list includes all organization codes for the JM server; otherwise, only the organization codes available for the current (authenticated) user are returned.

info

The Delivery REST API Overview provides an introduction to this REST API, including information about:

  • Security (authentication and authorization)
  • Delivery channel
  • Testing
  • Delivery call sequence (POST Next, GET Data, POST Confirmation)
  • Client failure recovery

Request​

HTTP request​

GET https://<JM_SERVER>/manager/secure/rest/delivery/v1/

Parameters​

This request takes no parameters.

Request body​

Do not supply a request body for this operation.

Example​

An example GET Organizations request is shown below.

GET https://transact.maguire.com/manager/secure/rest/delivery/v1/

Response​

If successful, this operation returns a response with a HTTP 200 OK status code. Otherwise, it returns an error response.

Error responses​

HTTP status codeDescription
401 UnauthorizedThe user is not authorized (or authenticated) to perform this operation.
404 Not FoundEnsure the URL contains a trailing slash.
503 Service UnavailableThe JM System Deployment property Enable REST/Web Service Delivery has been set to false.

Example​

An example succcessful response is shown below.

[
"maguire",
"first-bank",
"state-bank"
]